Retrieve Tenant Account

View as Markdown
Retrieve a Tenant Account by ID Either `infrastructureProviderId` or `tenantId` query param must be specified. If `infrastructureProviderId` query param is provided, then org must have an Infrastructure Provider entity and its ID should match the query param value. User must have `FORGE_PROVIDER_ADMIN` role. If `tenantId` query param is provided, then org must have a Tenant entity and its ID should match the query param value. User must have `FORGE_TENANT_ADMIN` role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
accountIdstringRequired

Query parameters

infrastructureProviderIdstringOptionalformat: "uuid"
Filter Tenant Accounts by Infrastructure Provider ID
tenantIdstringOptionalformat: "uuid"
Filter Tenant Accounts by Tenant ID
includeRelationenumOptional
Related entity to expand
Allowed values:

Response

OK
idstringRead-onlyformat: "uuid"
infrastructureProviderIdstringformat: "uuid"
infrastructureProviderOrgstring
tenantIdstring or nullformat: "uuid"
tenantOrgstring or null
tenantContactobject
Details of the user collected from authentication tokens
allocationCountinteger
statusenum
Status values for Tenant Account objects
Allowed values:
statusHistorylist of objects
createddatetimeRead-only
updateddatetimeRead-only

Errors

403
Forbidden Error